Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006622opensim[GRID] Inventory Servicepublic2013-05-06 14:422019-02-25 07:49
ReporterIsis Ophelia 
Assigned Totampa 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0006622: Attachment point gets lost after rezzing on the ground
DescriptionAny object attached to the avatar loses the assigned attachment point and position, if it is rezzed on the ground and taken back to Inventory. Grids I know with this problem are using: OS versions 0.7.3/0.7.4/0.7.5 stable released version.

Because of another bug that if you edit a worn attachment and touch the root prim causes the child prims to disappear or make the avatar invisible, or turn ghosted and crash the viewer, one must rez every attachment you want to edit on the ground.

Also when I have to insert scripts in the attachment I must rez it on the ground. Making shoes or jewelry turns to a very time consuming work, repositioning the attachment every time, I have rezzed it on the ground.
Steps To Reproduce1) make any prim
2) In your Inventory: Attach to -------> give it an attachment point
3) Edit the attachment and position it in the right place on your avatar
4) Detach it and rez it on the ground
5) Take it back to your Inventory
6) Wear --------------> it attaches to the Left Hand
Additional InformationAvination (Melanie Thielker) has fixed it, because I never had this problem there.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentUnknown
Mono VersionNone
Viewer5 different
Attached Files

- Relationships
related to 0004905closedjustincc Attachments lose their attach point/position after being rezzed in-world and then taken back 

-  Notes
(0034852)
tampa (reporter)
2019-02-25 07:49

This was apparently fixed at some point, unable to reproduce in current master.

- Issue History
Date Modified Username Field Change
2013-05-06 14:42 Isis Ophelia New Issue
2013-05-07 11:34 dz Relationship added related to 0004905
2019-02-25 07:49 tampa Note Added: 0034852
2019-02-25 07:49 tampa Status new => resolved
2019-02-25 07:49 tampa Resolution open => fixed
2019-02-25 07:49 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker